import 'package:diplomaticquarterapp/config/size_config.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/input/text_field.dart';
import 'package:diplomaticquarterapp/widgets/mobile-no/mobile_no.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/text/app_texts_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ForgotPassword extends StatefulWidget {
  @override
  _ForgotPassword createState() => _ForgotPassword();
}

class _ForgotPassword extends State<ForgotPassword> {
  String selectedType = 'Saudi Arabia';
  final TextEditingController nationalIDorFile = null;
  final TextEditingController mobileNo = null;
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        appBarTitle: TranslationBase.of(context).forgotPassword,
        isShowAppBar: true,
        body: SingleChildScrollView(
            child: Container(
          padding: EdgeInsets.only(top: 10, left: 20, right: 20),
          height: SizeConfig.realScreenHeight * .8,
          width: SizeConfig.realScreenWidth,
          child: Column(children: <Widget>[
            Expanded(
                flex: 1,
                child: AppText(
                  TranslationBase.of(context).forgotDesc,
                  fontSize: SizeConfig.textMultiplier * 3.5,
                  textAlign: TextAlign.left,
                )),
            Expanded(
              flex: 2,
              child: Column(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: <Widget>[
                  Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      Expanded(
                          // add Expanded to have your dropdown button fill remaining space
                          child: DropdownButtonHideUnderline(
                              child: DropdownButton(
                                  isExpanded: true,
                                  value: selectedType,
                                  iconSize: 40,
                                  elevation: 16,
                                  onChanged: (String newValue) => {
                                        setState(() {
                                          selectedType = newValue;
                                        })
                                      },
                                  items: <String>[
                                    'Saudi Arabia',
                                    'Dubai',
                                  ].map<DropdownMenuItem<String>>(
                                      (String value) {
                                    return DropdownMenuItem<String>(
                                      value: value,
                                      child: Text(value),
                                    );
                                  }).toList()))),
                    ],
                  ),
                  MobileNo(controller: mobileNo),
                ],
              ),
            ),
            Expanded(
                flex: 2,
                child: Column(
                  mainAxisAlignment: MainAxisAlignment.end,
                  children: <Widget>[
                    Row(
                      children: <Widget>[
                        Expanded(
                            child: RaisedButton(
                          color: Colors.grey,
                          textColor: Colors.white,
                          child: Text(TranslationBase.of(context).submit),
                          onPressed: () => {},
                        ))
                      ],
                    ),
                  ],
                ))
          ]),
        )));
  }
}
